package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.Windplantproject;

import java.util.List;

/**
 * WindplantprojectService接口
 *
 * @author hlf
 * @date 2021-08-02
 */
public interface IWindplantprojectService {
    /**
     * 查询Windplantproject
     *
     * @param projectNo WindplantprojectID
     * @return Windplantproject
     */
    public Windplantproject selectWindplantprojectById(Long projectNo);

    /**
     * 查询Windplantproject列表
     *
     * @param windplantproject Windplantproject
     * @return Windplantproject集合
     */
    public List<Windplantproject> selectWindplantprojectList(Windplantproject windplantproject);

    /**
     * 新增Windplantproject
     *
     * @param windplantproject Windplantproject
     * @return 结果
     */
    public int insertWindplantproject(Windplantproject windplantproject);

    /**
     * 修改Windplantproject
     *
     * @param windplantproject Windplantproject
     * @return 结果
     */
    public int updateWindplantproject(Windplantproject windplantproject);

    /**
     * 删除Windplantproject信息
     *
     * @param projectNo WindplantprojectID
     * @return 结果
     */
    public int deleteWindplantprojectById(Long projectNo);

    /**
     * 批量删除Windplantproject
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWindplantprojectByIds(String ids);

    List<Windplantproject> selectWindplantprojectByWindplantNo(Long windplantNo);

    Windplantproject selectWindplantprojectByWpNoProjectNo(Long windplantNo, Long projectNo);

    Windplantproject checkProjectNoUnique(Long projectNo);

    Windplantproject checkAnalogNoUnique(Long analogNo);

    Long selectNewData();

    int insertWindplantprojectList(List<Windplantproject> windplantprojectList);

    int deleteWindplantprojectByWindplantNo(Long windplantNo);

    String checkBcrNoUnique(Long bcrNo);

    String checkMonthBcrNoUnique(Long monthBcrNo);

    String checkYearBcrNoUnique(Long yearBcrNo);

    Windplantproject selectWindplantprojectByProjectIssue(String projectIssue);
}
